org.jboss.jca.as.converters

## Class MbeanImpl

- java.lang.Object
- - org.jboss.jca.as.converters.MbeanImpl

- All Implemented Interfaces:
    Mbean

      public class MbeanImpl
      extends java.lang.Object
      implements Mbean

  A LegacyConnectionFactoryImp impl.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.Mbean

      `Mbean.Attribute, Mbean.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MbeanImpl(java.lang.String code, java.lang.String name, java.util.Map<java.lang.String,java.lang.String> attributes)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getAttributes()` Get the attributes.
    `java.lang.String` | `getCode()` Get the code.
    `java.lang.String` | `getName()` Get the name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MbeanImpl

          public MbeanImpl(java.lang.String code,
                           java.lang.String name,
                           java.util.Map<java.lang.String,java.lang.String> attributes)

      constructor
      Parameters:
        `code` - code
        `name` - name
        `attributes` - attributes

  - ### Method Detail

    - #### getCode

          public java.lang.String getCode()

      Get the code.
      Specified by:
        `getCode` in interface `Mbean`
      Returns:
        the code.

    - #### getName

          public java.lang.String getName()

      Get the name.
      Specified by:
        `getName` in interface `Mbean`
      Returns:
        the name.

    - #### getAttributes

          public java.util.Map<java.lang.String,java.lang.String> getAttributes()

      Get the attributes.
      Specified by:
        `getAttributes` in interface `Mbean`
      Returns:
        the attributes.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)